Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.olapi.transaction
Class NotPreparedException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--oracle.olapi.transaction.NotPreparedException

public class NotPreparedException
extends java.lang.RuntimeException

Indicates that the `TransactionProvider` has not prepared the current `Transaction` and therefore it cannot commit the `Transaction`.

See Also:
  Serialized Form

Constructor Summary
`NotPreparedException(Transaction transaction)` Creates a `NotPreparedException`.

Method Summary
`Transaction` | `getTransaction()` Gets the `Transaction` that has not been prepared.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotPreparedException

    public NotPreparedException(Transaction transaction)

  Creates a `NotPreparedException`.
  Parameters:
    `transaction` - The `Transaction` that has not been prepared.

Method Detail

### getTransaction

    public Transaction getTransaction()

  Gets the `Transaction` that has not been prepared.
  Returns:
    The `Transaction` that has not been prepared.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.